import edu.rice.cs.mint.runtime.*;

public class SeparableSample5 {
    public static interface I {
        public void foo();
    }
    
    public static abstract class C {
        public abstract void foo();
    }
    
    public static class Super {
        // public Super() { } // error
    }
    
    public static class Sub extends Super {
    }
    
    public static void notSeparable() { }
    
    public static separable void m() {
        I i = new I() {
            {
                // notSeparable(); // error
            }
            public void foo() { }
        };
        C c = new C() {
            {
                // notSeparable(); // error
            }
            public void foo() { }
        };
        
        Sub s = new Sub();
    }
    
    public static void main (String [] args) {
        m();
    }
}
